UbixOS V2 2.0

Data Fields
directoryEntry Struct Reference

`#include <ubixfs.h>`

Collaboration diagram for directoryEntry:

## Data Fields
uInt16 | attributes
uInt32 | creationDate
char | fileName [256]
uInt32 | gid
uInt32 | lastModified
uInt16 | permissions
uInt32 | size
uInt32 | startCluster
uInt32 | uid

## Detailed Description

Definition at line 98 of file ubixfs.h.

## Field Documentation

## ◆ attributes

uInt16 directoryEntry::attributes

Definition at line 105 of file ubixfs.h.

Referenced by ubixFSmkDir().

## ◆ creationDate

uInt32 directoryEntry::creationDate

Definition at line 101 of file ubixfs.h.

## ◆ fileName

char directoryEntry::fileName[256]

Definition at line 107 of file ubixfs.h.

Referenced by ubixFSmkDir(), writeFileByte(), and writeUbixFS().

## ◆ gid

uInt32 directoryEntry::gid

Definition at line 104 of file ubixfs.h.

## ◆ lastModified

uInt32 directoryEntry::lastModified

Definition at line 102 of file ubixfs.h.

## ◆ permissions

uInt16 directoryEntry::permissions

Definition at line 106 of file ubixfs.h.

Referenced by ubixFSmkDir().

## ◆ size

uInt32 directoryEntry::size

Definition at line 100 of file ubixfs.h.

Referenced by ubixFSmkDir(), writeFileByte(), and writeUbixFS().

## ◆ startCluster

uInt32 directoryEntry::startCluster

Definition at line 99 of file ubixfs.h.

Referenced by ubixFSmkDir(), and writeUbixFS().

## ◆ uid

uInt32 directoryEntry::uid

Definition at line 103 of file ubixfs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixfs/ubixfs.h